Twitter Logo Follow us on Twitter
Project Information About this project

Setting up the Eclipse IDE

To get started with RAP, it's recommended to set up an Eclipse IDE with the RAP Tools installed. The RAP Tools include useful tools for RAP application development such as a target installer and launchers that let you start RAP applications directly from the IDE. The RAP developer's guide (which you are currently reading) is also included.

Get a complete IDE package

The most convenient way to get the RAP Tools is using the Eclipse package for RCP and RAP Developers from the Eclipse download page. This IDE includes everything you need to develop RCP and RAP applications, and you can get skip to installing the target platform...

Install the RAP Tools into an existing Eclipse IDE

If you rather want to use an existing Eclipse IDE, you can also get the RAP Tools separately and install them as an add-on:

  • With Eclipse up and running, select Help > Install New Software… from the main menu.
  • Enter enter the RAP Update Site URL http://download.eclipse.org/rt/rap/1.5/tooling into the Work with field and press Enter.
    Note: The RAP 1.5 Tools can only be installed into an Eclipse 3.8 or 4.2 IDE (Juno) or later. For older versions of Eclipse, you have to install the RAP 1.4 Tools.
  • After a short while, an entry labeled Rich Ajax Platform (RAP) appears in the list below. Select its check box and click Next.
  • On the the next page you may review the installation details.
  • Accept the terms in the license agreement and click the Finish button.
  • The feature and plug-ins will now be downloaded from the repository and installed locally.
  • Confirm the following prompt to restart Eclipse.

You can also get a zipped version of the RAP Tools repository from the RAP Download page.